<div class="w-full h-full flex flex-col">
    <div class="flex items-center justify-between" vexContainer>
        <h2 class="headline tetx-primary-contrast m-0 flex items-center w-full max-w-xxxl mr-6">
            <ic-icon @scaleIn [icon]="component.icCategory" class="hidden sm:block"></ic-icon>
            <span @fadeInRight class="ml-4 block">Gestion de Categorias</span>
        </h2>
    </div>
    <div class="mt-14 pt-0 overflow-hidden flex" vexContainer>
        <mat-drawer-container class="bg-transparent flex-auto flex">
            <mat-drawer-content class="p-gutter pt-0 flex-auto flex items-start">
                <div class="card h-full overflow-hidden flex-auto">
                    <vex-list-table
                        (rowClick)="rowClick($event)"
                        [service]="_categoryService"
                        [columns]="component.tableColumns"
                        [sortBy]="component.initialSort"
                        [sortDir]="component.initialSortDir"
                        [getInputs]="component.getInputs"
                        [buttonLabel]="component.buttonLabel"
                    ></vex-list-table>
                </div>
            </mat-drawer-content>
        </mat-drawer-container>
    </div>
</div>
